package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wangfeng
 * @Description: 问题 第二层
 * @date 2021-05-10 14:11
 */
@Setter
@Getter
public class KlScaleSaveUpDetailVO {
    /**
     * 内容
     */
    private String content;
    /**
     * 编码
     */
    private String ruleCode;

    /**
     * 扣分
     */
    private BigDecimal score;

    /**
     * 系数
     */
    private BigDecimal factor;

    /**
     * 常数
     */
    private BigDecimal constant;

    /**
     * 11表格;12文本;21标题;31算分;32显示选择结果
     */
    private Integer textType;

    /**
     * 选择类型(1单选2多选)
     */
    private Integer selectType;

    /**
     * 显示顺序
     */
    private Integer orderNo;

    /**
     * 1：显示，0：不显示，2隐藏
     */
    private Integer status;


    private String remark;
    List<KlScaleSubDetailVO> KlScaleDetail;
}
